summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2014-09-24 11:02:09 +0200
committerHolger Levsen <holger@layer-acht.org>2014-09-24 11:02:09 +0200
commit432a2913ef86f2b540751f22d4f1a000d7c54384 (patch)
tree37be302ca7278622a7ab6f84067ea0b76386eb54
parentf609875ae4e43fbf28db453b279e298eea7aaa1f (diff)
downloadjenkins.debian.net-432a2913ef86f2b540751f22d4f1a000d7c54384.tar.xz
reproducible: keep diffp results and provide them for download
-rwxr-xr-xbin/reproducible_build.sh9
-rw-r--r--job-cfg/reproducible.yaml27
2 files changed, 11 insertions, 25 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 3e28e262..02244b3a 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -53,9 +53,10 @@ for SRCPACKAGE in "$@" ; do
dcmd rm ${SRCPACKAGE}_*.dsc
set -e
cat b1/${SRCPACKAGE}_*.changes
- TMPFILE=$(mktemp)
- ./misc.git/diffp b1/${SRCPACKAGE}_*.changes b2/${SRCPACKAGE}_*.changes | tee ${TMPFILE}
- if ! $(grep -qv '^\*\*\*\*\*' ${TMPFILE}) ; then
+ mkdir -p results
+ LOGFILE=./results/$(ls -1 "b1/${SRCPACKAGE}_*.changes" | head -1 | cut -d "/" -f2-).diffp
+ ./misc.git/diffp b1/${SRCPACKAGE}_*.changes b2/${SRCPACKAGE}_*.changes | tee ${LOGFILE}
+ if ! $(grep -qv '^\*\*\*\*\*' ${LOGFILE}) ; then
figlet ${SRCPACKAGE}
echo
echo "${SRCPACKAGE} build successfull."
@@ -66,7 +67,7 @@ for SRCPACKAGE in "$@" ; do
let "COUNT_BAD=COUNT_BAD+1"
BAD="${SRCPACKAGE} ${BAD}"
fi
- rm b1 b2 ${TMPFILE} -rf
+ rm b1 b2 -rf
fi
fi
diff --git a/job-cfg/reproducible.yaml b/job-cfg/reproducible.yaml
index 2518f088..47f17cb0 100644
--- a/job-cfg/reproducible.yaml
+++ b/job-cfg/reproducible.yaml
@@ -22,55 +22,40 @@
artifactNumToKeep: -1
builders:
- shell: '{my_shell}'
+ publishers:
+ - email:
+ recipients: 'jenkins+debian+reproducible holger@layer-acht.org lunar@debian.org'
+ - archive:
+ artifacts: 'results/*.*'
+ latest_only: false
- job-template:
defaults: reproducible
name: '{name}_setup'
- publishers:
- - email:
- recipients: 'jenkins+debian+reproducible holger@layer-acht.org lunar@debian.org'
- job-template:
defaults: reproducible
name: '{name}_build_test_reproducibility'
- publishers:
- - email:
- recipients: 'jenkins+debian+reproducible holger@layer-acht.org lunar@debian.org'
- job-template:
defaults: reproducible
name: '{name}_build_core'
- publishers:
- - email:
- recipients: 'jenkins+debian+reproducible holger@layer-acht.org lunar@debian.org'
- job-template:
defaults: reproducible
name: '{name}_build_build-essential'
- publishers:
- - email:
- recipients: 'jenkins+debian+reproducible holger@layer-acht.org lunar@debian.org'
- job-template:
defaults: reproducible
name: '{name}_build_desktop'
- publishers:
- - email:
- recipients: 'jenkins+debian+reproducible holger@layer-acht.org lunar@debian.org'
- job-template:
defaults: reproducible
name: '{name}_build_libreoffice'
- publishers:
- - email:
- recipients: 'jenkins+debian+reproducible holger@layer-acht.org lunar@debian.org'
- job-template:
defaults: reproducible
name: '{name}_build_xorg'
- publishers:
- - email:
- recipients: 'jenkins+debian+reproducible holger@layer-acht.org lunar@debian.org'
- project:
name: reproducible